argocd.gpg-key.create ​
Create one or more GPG public keys in the server's configuration
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-argocd |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
fingerprint | string | No | — | — |
keydata | string | No | — | — |
keyid | string | No | — | — |
owner | string | No | — | — |
subtype | string | No | — | — |
trust | string | No | — | — |
upsert | boolean | No | — | Whether to upsert already existing public keys. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
fingerprint | string | No | — | — |
keydata | string | No | — | — |
keyid | string | No | — | — |
owner | string | No | — | — |
subtype | string | No | — | — |
trust | string | No | — | — |
upsert | boolean | No | — | Whether to upsert already existing public keys. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call POST /api/v1/gpgkeys |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform POST /api/v1/gpgkeys |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "argocd.gpg-key.create",
"initial_data": {
"base_url": "value"
}
}